Bug 199235 - Kernel 2.6.17-1.2157_FC5 makes system unstable
Kernel 2.6.17-1.2157_FC5 makes system unstable
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-18 04:22 EDT by Henning Schmiedehausen
Modified: 2008-01-19 23:36 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:36:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Henning Schmiedehausen 2006-07-18 04:22:42 EDT
Description of problem:

After upgrading a system to 2.6.17-1.2157_FC5, this system started to behave
erratic, rebooting sometimes every 30 minutes. Going back to 2.6.17-1.2145
got rid of the problem. 

This system has four ethernet interfaces and mainly acts as a firewall/router.
It also has an (experimental, booted but not running under load) xen host 
installed which uses the internal bridge to connect to the internet.

This system has been running rock-solid for the past two years, never
experiencing any load related problems or sudden reboots. Going back to
the 2145 kernel version restored this behaviour.

Version-Release number of selected component (if applicable):

2.6.17-1.2157_FC5 on a Pentium III (Coppermine).

How reproducible:

After booting the new kernel version, the machine suddently failed sometime
in the 30 minutes - 12 hours time frame. It currently has moderate network
load (1-2 mbit/sec) on four network interfaces. It uses an PDC20267 ATA
controller and four intel e100 network cards. 


Steps to Reproduce:
1. start 2.6.17-1.2157_FC5 on a fully updated FC5 system with an PIII processor
2. produce network/firewall load on multiple interfaces. Maybe the existence of
   a xen configured bridge has also to do with this.
3. wait 30 minutes - 12 hours. The system crashes in that time frame.
  
Actual results:

Crashes.

Expected results:

Should not crash. ;-) 

Additional info:

Sorry, nothing in the log files. Even remote logging does not catch any
information from the host. It just crashes.
Comment 1 Henning Schmiedehausen 2006-08-20 02:20:37 EDT
This problem still persists with 2.6.17-1.2174_FC5. The system reboots without
any messages.

This might be related to Xen as the system was running the xen0 variant of the
kernel (with started xend but without any domains running). I've now booted the
"regular" version to see if the behaviour changes.
Comment 2 Henning Schmiedehausen 2006-09-16 04:18:14 EDT
This problem still persists with 2.6.17-1.2187_FC5. The system reboots without
any messages.

At some point you might want to try xen with a PIII CPU... ?

Comment 3 Henning Schmiedehausen 2006-09-16 04:30:28 EDT
Running either 2.6.17-1.2174_FC5xenU or 2.6.17-1.2187_FC5xenU as client on an
2.6.17-1.2187_FC5xen0 host system crashes the server reproducably during the
"Updating" stage of yum -y update. I can provoke that behaviour at will, so if
you want/need any traces, just tell me.
Comment 4 Dave Jones 2006-10-16 16:00:19 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 5 Jon Stanley 2008-01-19 23:36:31 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.